Integraciones de API
Create or replace an Assistant API integration
PUT
/api/v1/assistants/{id}/api-integrationNecesitas una clave API de la organización con permiso de edición.
Authorization
apiKey AuthorizationBearer <token>
In: header
Path Parameters
id*string
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v1/assistants/string/api-integration" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "baseUrl": "string", "authType": "none", "endpoints": [ { "id": "string", "name": "string", "path": "string", "method": "GET", "purpose": "string" } ] }'{ "name": "string", "baseUrl": "string", "authType": "none", "authHeaderName": "string", "authUsername": "string", "hasCredential": true, "endpoints": [ { "id": "string", "name": "string", "path": "string", "method": "GET", "purpose": "string", "params": [ { "name": "string", "description": "string", "type": null, "in": null, "required": null, "value": "string" } ], "responseKeys": [ "string" ], "idempotency": { "in": "header", "name": "string" } } ]}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}